> ## Documentation Index
> Fetch the complete documentation index at: https://docs.millis.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Files



## OpenAPI

````yaml https://api-west.millis.ai/openapi.json get /knowledge/list_files
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api-west.millis.ai
    description: US Region API Gateway
  - url: https://api-eu-west.millis.ai
    description: EU Region API Gateway
security: []
paths:
  /knowledge/list_files:
    get:
      tags:
        - Knowledge Base
      summary: List Files
      operationId: list_files_knowledge_list_files_get
      parameters:
        - name: authorization
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Private Key
            title: Authorization
          description: Private Key
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/FileInfo'
                title: Response List Files Knowledge List Files Get
        '404':
          description: Not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    FileInfo:
      properties:
        id:
          type: string
          title: Id
        description:
          type: string
          title: Description
        name:
          type: string
          title: Name
        file_type:
          type: string
          title: File Type
        size:
          type: integer
          title: Size
        create_at:
          type: number
          title: Create At
      type: object
      required:
        - id
        - description
        - name
        - file_type
        - size
        - create_at
      title: FileInfo
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````